/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package i18n.demo;

import java.text.DateFormat;
import java.util.*;

/**
 *
 * @author Paul
 */
public class I18nDemo {

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
                
        // Windows Regionseinstellung sicher übernehmen (funktioniert seit Java 7 anders als vorher - Java Bug #7073906)
        Locale.setDefault( Locale.getDefault( Locale.Category.FORMAT ) );
        
        // Importieren der Lokalisierungs-Datei (für die aktuelle Locale-Einstellung der JVM)
        String baseName = "resources.HelloWorld";
        ResourceBundle bundle = ResourceBundle.getBundle( baseName );
        
        // Anlegen eines DateFormats (für die aktuelle Locale-Einstellung der JVM)
        DateFormat df = DateFormat.getDateInstance( DateFormat.MEDIUM );

        // Kontrollausgabe der aktuellen Ländereinstellung
        System.out.println( Locale.getDefault() + "\n");

        // Ausgaben
        System.out.println( bundle.getString("Hello") );
        System.out.println( df.format( new Date() ) );
        System.out.println( bundle.getString("Bye") );
        System.out.println();
    }
    
}
